{% extends "page.html" %}
{% block left_nav %}
{% if not mode %}
    <div id="left-nav" class="h2 ml-3 text-left position-absolute">
        <ul class="nav flex-column">
            {% if configuration.BUS_ROUTES %}
                <li class="nav-item my-1 mt-3">
                    <a href="{{ url_for('view.bus') }}" id="btn-bus" class="nav-link btn btn-outline-nav">Bus Times
                        <span class="ml-1 bus-icon"></span></a>
                </li>
            {% endif %}
        </ul>
    </div>
{% endif %}
{% endblock left_nav %}
{% block content %}
    <section>
        <div class="container mx-auto">
            {% if mode == "inout_action" %}
                <div class="row text-center my-3">
                {% if event.reader == "yellow" %}
                    <div class="panel action-sign-in">
                        <h2>Signed in {{ event.visitor.name }},</h2>
                        <h3>At {{ datetime.fromtimestamp(event.timestamp).strftime('%c') }}.</h3>
                    </div>
                {% else %}
                    <div class="panel action-sign-out">
                        <h2>Signed out {{ event.visitor.name }},</h2>
                        <h3>At {{ datetime.fromtimestamp(event.timestamp).strftime('%c') }}.</h3>
                    </div>
                {% endif %}
                </div>
            {% elif mode == "admin_in_action" %}
                <div class="row text-center my-3">
                    <div class="panel action-sign-in">
                        <h2>Signed in {{ admin.name }},</h2>
                        <h3>At {{ datetime.now().strftime('%c') }}</h3>
                    </div>
                </div>
            {% elif mode == "admin_out_action" %}
                <div class="row text-center my-3">
                    <div class="panel action-sign-out">
                        <h2>Signed out {{ admin.name }},</h2>
                        <h3>At {{ datetime.now().strftime('%c') }}</h3>
                    </div>
                </div>
            {% elif mode == "error" %}
                <div class="row text-center my-3">
                    <div class="panel action-error">
                        <h2>Encountered an error!</h2>
                        {% if message %}
                            <h3>{{ message.splitlines()|join("<br />"|safe) }}</h3>
                        {% endif %}
                    </div>
                </div>
            {% elif mode == "success" %}
                <div class="row text-center my-3">
                    <div class="panel action-success">
                        <h2>Success!</h2>
                        {% if message %}
                            <h3>{{ message.splitlines()|join("<br />"|safe) }}</h3>
                        {% endif %}
                    </div>
                </div>
            {% else %}
                <div class="text-center">
                    <h2>{{ message }}</h2>
                    <div class="vh-75 py-3 my-3 mx-auto w-75 active-clock text-center" id="large-clock">
                        {{ get_svg_icon()|safe }}
                    </div>
                </div>
                {% if g.sign_in_available %}
                    <a
                        class="btn btn-lg btn-outline-secondary bg-light bottom-fix centre-fix switch-mode"
                        id="btn-switch-to-sign-in"
                        data-target-mode="sign-in"
                        href="{{ url_for('view.index') }}">
                        <span class="h4">⇄ Switch to {{ configuration.SITE_TITLE }}</span>
                    </a>
                {% endif %}
            {% endif %}
            <div class="bottom-fix right-fix text-right">
                {% if timeout is defined %}
                    <a
                        class="btn btn-secondary btn-lg timeout {{ 'd-none' if timeout_hidden }}"
                        href="{{ url_for('view.index') }}"
                        data-timeout="{{ timeout }}">
                            Finished
                    </a>
                {% endif %}
                {% if "expiry" in session %}
                    <br>
                    <a
                        href="{{ url_for('view.scan', reader='purple') }}"
                        id="btn-expiry"
                        data-expiry="{{ session.expiry.timestamp() }}"
                        class="btn btn-sign-out btn-lg text-center mt-2">
                            Logout {{ session.admin_name or "admin" }} <span id="counter"></span>
                    </a>
                {% endif %}
            </div>
        </div>
    </section>
{% endblock content %}